t.me/atinfo_chat Telegram группа по автоматизации тестирования

Jenkins 2.292 получаю ошибку при запуске сборки

Теги: #<Tag:0x00007f0e6bb42168> #<Tag:0x00007f0e6bb42050>

Всем привет! После обновления Jenkins до версии 2.292 перестали запускаться сборки, у некоторых пользователей. Выдаёт такую ошибку

Обновление плагина Credentials не помогло. Может кто сталкивался с такой же проблемой после обновления? До обновления всё работало корректно

Вот что ответили в поддержке Jenkins

Exact same problem here.

I tried many ways: clearing jenkins “caches” dir, upgrade all plugins… the problem was still there.
Another workaround I found was to temporarily set git checkouts to use ssh with no credential at all (so using user operating system git).
In fact as soon as I set a credential to git checkout (via https or even uselessly ssh ) I had this problem. I tried also with a brand new credential. Same result.

The only definitive way to fix the problem is to downgrade to jenkins 2.291
This is a very blocking issue I think and should have a higher priority.

Т.е. версия 2.292 не рабочая версия, так что лучше до неё не обновляться. Последняя стабильная версия 2.291

1 симпатия